#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x34487941, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x47486a96, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x9ae44715, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xed322f45, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xf2cfbcf1, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xa60c6eb6, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xa26c50d9, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xeb54ae2d, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xde0e2c6a, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xc37945f6, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x02969946, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x0836b077, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x33af61a1, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x68c2d769, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x00882e78, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xe76736c2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x891ddcb0, "drm_client_framebuffer_delete" },
	{ 0xc812ac, "dma_free_pages" },
	{ 0xef753f4b, "drm_client_framebuffer_create" },
	{ 0xace4408d, "drm_fb_helper_deferred_io" },
	{ 0x4e626967, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa25a6d, "drm_driver_legacy_fb_format" },
	{ 0x31e870a7, "drm_fb_helper_fill_info" },
	{ 0x8ff8d212, "drm_gem_create_mmap_offset" },
	{ 0x6d4191a1, "fb_deferred_io_init" },
	{ 0xb2aa9826, "fb_deferred_io_cleanup" },
	{ 0x94f4474b, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x8af9baba, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9a00192, "fb_sys_write" },
	{ 0x7e665c4b, "sys_imageblit" },
	{ 0xc5ed88a, "drm_atomic_helper_damage_iter_init" },
	{ 0x3bdee2fa, "drm_fb_helper_damage_range" },
	{ 0x3be5fb1f, "drm_fb_helper_blank" },
	{ 0xd474116e, "dma_alloc_pages" },
	{ 0x445c99e7, "drm_gem_private_object_init" },
	{ 0xa159cb5e, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1ab6f0ad, "drm_fb_helper_damage_area" },
	{ 0xf6982bdf, "sys_fillrect" },
	{ 0xec1f44a5, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2fdaae66, "drm_client_init" },
	{ 0x2421517b, "drm_gem_vm_close" },
	{ 0x2560b09b, "drm_gem_vm_open" },
	{ 0x17f6cf6e, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x5e508668, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x26b2c729, "drm_gem_handle_create" },
	{ 0xacc27d24, "drm_gem_fb_get_obj" },
	{ 0x3f1d5fc, "__drm_dev_dbg" },
	{ 0x9181b61d, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe871f6bf, "drm_fb_helper_pan_display" },
	{ 0x87b56bf4, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7a5bcdac, "sys_copyarea" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c3bc1aa, "drm_client_buffer_vunmap" },
	{ 0x717709f9, "fb_sys_read" },
	{ 0xc04f9d48, "drm_fb_helper_debug_leave" },
	{ 0x7d69ca3, "dma_buf_vmap_unlocked" },
	{ 0xd2654628, "dma_mmap_attrs" },
	{ 0x6a6b4a23, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x18b158be, "drm_fb_helper_initial_config" },
	{ 0x910d93c1, "drm_fb_helper_unregister_info" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x9588bf8b, "drm_fb_helper_ioctl" },
	{ 0xa77e50c7, "drm_fb_helper_set_par" },
	{ 0x8026a39e, "drm_prime_gem_destroy" },
	{ 0x25881762, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0xfcdc2e3b, "drm_fb_helper_init" },
	{ 0x860aed6a, "drm_fb_helper_debug_enter" },
	{ 0x537a7c7, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe28768f8, "drm_client_buffer_vmap" },
	{ 0x4835e054, "drm_fb_helper_lastclose" },
	{ 0x11a92547, "drm_fb_helper_setcmap" },
	{ 0x24ba9167, "drm_fb_helper_alloc_info" },
	{ 0x2bd9bb4e, "drm_helper_disable_unused_functions" },
	{ 0x16c28a5e, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x251649d1, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x75e9419d, "drm_fb_helper_fini" },
	{ 0x192718c, "dma_mmap_pages" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9CB4C28E63F409E517E0F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
